### Method

# Fwupd SecurityAttr set_bios_setting_id

#### Declaration [src]

    void
    fwupd_security_attr_set_bios_setting_id (
      FwupdSecurityAttr* self,
      const gchar* id
    )

#### Description [src]

Sets the `FwupdBiosSetting` that can be used to improve this `FwupdSecurityAttr`.

Available since: | 1.8.4

#### Parameters

`id` | `const gchar*`
| Unique identifier used for `FwupdBiosSetting`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.